Subject: Re: [PATCH] powerpc: setup Marvell mv64x60 platform devices for EDAC

From: Dave Jiang <[email-masked]>
Date: Mon, 25 Jun 2007 09:09:35 -0700

Paul Mackerras wrote:
> Dave Jiang writes:
> 
>> The mv64x60 EDAC driver can be found at:
>> http://bluesmoke.sourceforge.net/
>>
>> It's in development to be pushed into the kernel.
> 
> Am I correct in thinking this patch is useless without that driver?
> 
> Is that driver being submitted for 2.6.23?  If so, who is submitting
> it and to whom?  Does it look like it will be accepted?
> 
> Paul.

Paul,

Yes you are correct. I have not yet submitted the driver to akpm. I'm waiting
for the core EDAC changes to be accepted, which are in the mm tree right now.
The driver relies on some new API changes to EDAC that are in the mm tree.
Without those changes the driver is pretty useless. The driver is publicly
available from the sourceforge EDAC SVN at the moment and patches against the
latest mm tree. If you like I can ask Doug Thompson (the EDAC maintainer) to
put the driver in the mm tree.

This is also the same for the mpc85xx EDAC driver. Of course that needs the
publish of the of_device patch.

-- 

------------------------------------------------------
Dave Jiang
Software Engineer
MontaVista Software, Inc.
http://www.mvista.com
------------------------------------------------------